%%% here you can provide the analytical solution
amp=1;
omega0=1;
pos_anal = amp*cos(omega0*tout);


subplot(2,1,1)
plot(tout,xv_out(:,1),'k')
hold on
plot(tout,pos_anal,'r--')
hold off
xlabel(['t'])
ylabel(['x'])
title(['position'])

subplot(2,1,2)
plot(tout,xv_out(:,2),'b')
xlabel(['t'])
ylabel(['x'])
title(['velocity'])



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

