%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PHY306, Assignment 1, Numerics question template.  IISER Bhopal  2020
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Assignment1

%%%% YOU HAVE TO EDIT THIS WHEREVER IT SAYS XXX

% define all parameters at the top of the script

mass = XXX;
k = XXX;

% for how long to 
tfin = XXX; 	      %final simulation time, adjust relative to frequency to get a good looking plot
Nsamples = 200;   % number of timesamples recorded (can stay at 200)
tsamples = linspace(0,tfin,Nsamples);

%define initial conditions
x0 = XXX; %position
v0 = XXX; %velocity

% standard matlab differential equation solver, best don't touch this
options = odeset('RelTol',1e-8,'AbsTol',1e-6,'Stats','off','InitialStep',tfin*1e-5);
[tout,xv_out] = ode45(@(t,xv)Newtons_equation(t,xv),tsamples,[x0 v0],options);

%write all output into this file. Use "load assignment1_output.mat" after running the script, to load it into the workspace 
save(['assignment1_output.mat'])
display(['Wrote assignment1_output.mat'])

%%%%%%%%%%%%%%%%%%%%%%%%
% internal functions
%%%%%%%%%%%%%%%%%%%%%%%%

%%% --Right now this template solves some random nonsense equation. 
%%%   edit it such that it solves Newton's equations
%%% -- within the function, it will receive a 2-component vector xv_in which is the current position and velocity.
%%%    you can access position as xv_in(1) and velocity as xv_in(2).
%%%    similarly dxv_dt(1) should contain the time derivative of position and dxv_dt(2) that of velocity
%%% -- You can write a vector in this way:   vector = [v1
%%%													   v2];

function dxv_dt = Newtons_equation(t,xv_in)

dxv_dt = [42 
          23];

end % funct

end % main function